Skip to main content
GET
List alerts

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required

Project slug, UUID, or domain that identifies the project.

Query Parameters

cursor
string

Opaque cursor pointing at the next page. Omit it to read the first page.

limit
number
default:20

Maximum number of entries to return. Defaults to 20 and is capped at 100.

Required range: 1 <= x <= 100
status

Only alerts in one of these statuses (firing, resolved). Comma-separated and/or repeated.

sort_order
enum<string>
default:desc

desc lists the newest alert first.

Available options:
asc,
desc

Response

Alert episodes from the last 30 days of retained state history, newest first, including episodes already firing when that history begins, firing and resolved. An alert is one firing of a Veryfront alert rule for this project, such as failing agent or task runs, with the run error code and links to the project error logs and traces for its window. Only alerts labelled with this project are returned.

data
object[]
required
page_info
object
required